Description

Prior to dynamic bindings, whenever the generate katello_api script was run against a foretello server, it would need to be restarted.

This is due to the Organization model not getting the katello extensions, causing errors later when a katello field was being accessed

(error message is: undefined method `without_deleting'). The server would need to be restarted after the generate script.

With the introduction of dynamic bindings, this happens every time a hammer command is run and the cache needs to be refreshed

(which is every server restart). I am unaware of any work arounds.

To reproduce:

% hammer system list --organization-id ACME_Corporation

History

#1 - 03/19/2014 09:08 PM - Ivan Necas

the workaround for development should be setting `use_cache = true` in 

https://github.com/theforeman/foreman/blob/develop/config/initializers/apipie.rb#L10 (maybe also reload_controllers = false) and generating the the

cache with `rake apipie:cache`. This way, the api is loaded from cache in development as well, so this issues should not appear: to refresh the cache,

one should need just run the rake task again

#2 - 03/19/2014 09:48 PM - Adam Price

- Assignee set to Adam Price

#3 - 03/19/2014 09:49 PM - Adam Price

- Project changed from Hammer CLI to Katello

- Category changed from Hammer core to 106

#4 - 03/19/2014 10:26 PM - Adam Price

- Assignee changed from Adam Price to Ivan Necas

#5 - 03/20/2014 09:21 AM - Ivan Necas

Proper apipie fix proposal is here:

https://github.com/Apipie/apipie-rails/pull/228

#6 - 03/20/2014 09:26 AM - Ivan Necas

- Status changed from New to Assigned

Workaround tested as well: all you need is setting `use_cache = true`  in 

https://github.com/theforeman/foreman/blob/develop/config/initializers/apipie.rb#L10 and run `bundle exec rake apipie:cache`.

Martin should also work on a PR to foreman to use the cache even in devel when it's generated.

#7 - 03/20/2014 09:54 AM - Ivan Necas

- Status changed from Assigned to Ready For Testing
apipie-rails-0.1.2 released with the fix, rpms build as well (although the production mode was not affected).

#8 - 03/20/2014 03:51 PM - Ivan Necas

- Status changed from Ready For Testing to Resolved

#9 - 06/06/2014 01:41 PM - Eric Helms

- Triaged set to Yes

#10 - 08/22/2014 07:51 AM - Eric Helms

- translation missing: en.field_release set to 13
